ServiceSlotResponse

Response schema for service slots

Response schema for service slots

Example

{  "data": {    "aggregated_slots": [      {        "count": 1,        "end_at": "2025-03-10T10:00:00Z",        "end_at_ts": 1736464800,        "object": "aggregated_slot",        "start_at": "2025-03-10T09:00:00Z",        "start_at_ts": 1736461200,        "time_zone": "Etc/UTC"      },      {        "count": 1,        "end_at": "2025-03-10T12:00:00Z",        "end_at_ts": 1736468400,        "object": "aggregated_slot",        "start_at": "2025-03-10T11:00:00Z",        "start_at_ts": 1736464800,        "time_zone": "Etc/UTC"      }    ],    "provider_slots": [      {        "open": [          {            "end_at": "2025-03-10T10:00:00Z",            "end_at_ts": 1736464800,            "object": "slot",            "start_at": "2025-03-10T09:00:00Z",            "start_at_ts": 1736461200,            "time_zone": "Etc/UTC"          },          {            "end_at": "2025-03-10T12:00:00Z",            "end_at_ts": 1736468400,            "object": "slot",            "start_at": "2025-03-10T11:00:00Z",            "start_at_ts": 1736464800,            "time_zone": "Etc/UTC"          }        ],        "service_provider": {          "created_at": "2025-02-19T17:36:36Z",          "id": "sp_d025a96ac0c6",          "object": "service_provider",          "provider": {            "created_at": "2017-09-12T12:34:55Z",            "display_name": "John Smith",            "email": "john@example.com",            "first_name": "John",            "id": "prov_d025a96ac0c6",            "last_name": "Smith",            "metadata": {              "external_id": "123"            },            "object": "provider",            "time_zone": "America/New_York",            "updated_at": "2017-09-13T10:11:12Z"          },          "service_id": "srv_d025a96ac0c6",          "updated_at": "2025-02-19T17:36:36Z"        }      }    ]  }}